#include <sdpsl.h>

using namespace std;
using namespace sdp;

int main()
{
  PolynomialVariable x("x"), y("y");
  
  /* The () operator is used to take powers: x(2) = x^2 */
  Monomial mon = Monomial(x(2)) * Monomial(y(3));
  Polynomial p = (x + 1) * (x + 2);
  Polynomial q = x(3) * (y(-2) + 3);
  Polynomial r = p * q;

  /* Finds out the maximum exponent of variable x in r, and the
     maximum coefficient of any monomial
  */
  int max_exp = 0;
  double max_coeff = 0;

  for (auto& s : r) {
    if (max_exp < s.first[x]) max_exp = s.first[x];
    if (max_coeff < s.second) max_coeff = s.second;
  }

  cout << "For the polynomial r = " << r << ":" << endl;
  cout << "  Maximum degree of x = " << max_exp << endl;
  cout << "  Maximum coefficient = " << max_coeff << endl;

  return 0;
}
