"""
A SAGE wrapper for SDPSL.

AUTHOR:

- Fernando M. de Oliveira Filho <fmario AT gmail.com>
"""

# Copyright (c) 2014 Fernando M. de Oliveira Filho
# <http://www.ime.usp.br/~fmario>
# 
# This file is part of SDPSL.
# 
# SDPSL is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your
# option) any later version.
# 
# SDPSL is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
# 
# You should have received a copy of the GNU General Public License
# along with SDPSL.  If not, see <http://www.gnu.org/licenses/>.

cimport cython

from libc.stdlib cimport malloc, free

from copy import copy

from sage.rings.real_mpfr import is_RealField, is_RealNumber
from sage.rings.real_mpfr cimport RealNumber, RealField, RealField_class

from sage.matrix.constructor import matrix as sage_matrix
from sage.matrix.matrix import is_Matrix

from sage.rings.polynomial.polynomial_ring import is_PolynomialRing
from sage.rings.polynomial.polynomial_ring_constructor import PolynomialRing
from sage.rings.polynomial.polynomial_element import is_Polynomial
from sage.rings.polynomial.multi_polynomial_ring import is_MPolynomialRing
from sage.rings.polynomial.multi_polynomial_element import is_MPolynomial

from sage.rings.polynomial.laurent_polynomial_ring import LaurentPolynomialRing, is_LaurentPolynomialRing
from sage.rings.polynomial.laurent_polynomial import is_Element as is_LaurentPolynomial

from sage.rings.polynomial.polynomial_ring import is_PolynomialRing
from sage.rings.polynomial.polynomial_element import is_Polynomial
from sage.rings.polynomial.multi_polynomial_ring import is_MPolynomialRing
from sage.rings.polynomial.multi_polynomial_element import is_MPolynomial

include 'sage/ext/interrupt.pxi'
include 'mpfr.pxi'
include 'sdpsl.pxi'

include 'sdpenv.pyx'
include 'sdpvar.pyx'
include 'sdppoly.pyx'
include 'sdpmatrix.pyx'
include 'sdplin.pyx'
include 'sdppolc.pyx'
include 'sdpbases.pyx'
include 'sdpcontainer.pyx'
include 'sdpproblem.pyx'
include 'sdpsol.pyx'
include 'csdp.pyx'
include 'sdpanalyzer.pyx'

# Local variables:
# mode: python
# End:
